Bug 755728 - Rebase elfutils to 0.158 in RHEL 6.6
Summary: Rebase elfutils to 0.158 in RHEL 6.6
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: elfutils
Version: 6.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Mark Wielaard
QA Contact: qe-baseos-tools-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-11-21 21:32 UTC by Petr Machata
Modified: 2014-10-14 06:42 UTC (History)
6 users (show)

Fixed In Version: elfutils-0.158-3.1.el6
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-14 06:42:21 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2014:1472 0 normal SHIPPED_LIVE elfutils bug fix and enhancement update 2014-10-14 01:10:42 UTC

Description Petr Machata 2011-11-21 21:32:36 UTC
The version that we currently ship is elfutils-0.152.  The version 0.153 is not released yet, but the last release was in February, and new release is due, and should appear soon.

Updated release would bring support of reading of compressed sections, ability to work with new Dwarf attributes, and (partial) support of .debug_types.  In addition to that, it brings many bug fixes, and updates to keep abreast with development in tools.  It would also better support "dwarves" (bug 620319).

Version-Release number of selected component (if applicable):
elfutils-0.152

Comment 2 Mark Wielaard 2012-02-27 11:51:01 UTC
elfutils 0.153 was finally released upstream:
https://fedorahosted.org/pipermail/elfutils-devel/2012-February/002231.html

And already packaged for fedora:
https://admin.fedoraproject.org/updates/elfutils

Comment 5 Mark Wielaard 2012-06-25 10:16:43 UTC
Now that 0.154 has been released a rebase to that version would be even better.
https://fedorahosted.org/pipermail/elfutils-devel/2012-June/002336.html

Comment 6 RHEL Program Management 2012-07-10 08:10:56 UTC
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Comment 7 RHEL Program Management 2012-07-10 23:07:31 UTC
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.

Comment 8 Mark Wielaard 2012-08-28 21:40:23 UTC
0.155 has been out now.
https://lists.fedorahosted.org/pipermail/elfutils-devel/2012-August/002565.html

Comment 9 Mark Wielaard 2013-10-09 12:07:54 UTC
Note that the latest upstream version now is 0.157
https://lists.fedorahosted.org/pipermail/elfutils-devel/2013-September/003286.html

Comment 10 RHEL Program Management 2013-10-14 00:53:59 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.

Comment 11 Mark Wielaard 2014-01-07 22:47:30 UTC
Latest upstream release is now 0.158:
https://lists.fedorahosted.org/pipermail/elfutils-devel/2014-January/003718.html

Comment 15 errata-xmlrpc 2014-10-14 06:42:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHEA-2014-1472.html


Note You need to log in before you can comment on or make changes to this bug.